Index: pacemaker/pengine/test10/696.exp
===================================================================
--- pacemaker.orig/pengine/test10/696.exp
+++ pacemaker/pengine/test10/696.exp
@@ -3,7 +3,7 @@
      <action_set>
       <rsc_op id="19" operation="monitor" operation_key="DcIPaddr_monitor_5000" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3">
         <primitive id="DcIPaddr" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="20000"  ip="10.0.0.10"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="hadev2" CRM_meta_on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3" CRM_meta_timeout="20000"  ip="10.0.0.10"/>
        </rsc_op>
      </action_set>
     <inputs>
@@ -16,7 +16,7 @@
      <action_set>
       <rsc_op id="17" operation="start" operation_key="DcIPaddr_start_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3">
         <primitive id="DcIPaddr" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="20000"  ip="10.0.0.10"/>
+        <attributes CRM_meta_on_node="hadev2" CRM_meta_on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3" CRM_meta_timeout="20000"  ip="10.0.0.10"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -32,7 +32,7 @@
      <action_set>
       <rsc_op id="13" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="hadev3" on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669">
         <primitive id="DcIPaddr" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="10.0.0.10"/>
+        <attributes CRM_meta_on_node="hadev3" CRM_meta_on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="10.0.0.10"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -41,7 +41,7 @@
      <action_set>
       <rsc_op id="2" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
         <primitive id="DcIPaddr" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="10.0.0.10"/>
+        <attributes CRM_meta_on_node="hadev1" CRM_meta_on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="10.0.0.10"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -50,7 +50,7 @@
      <action_set>
       <rsc_op id="22" operation="monitor" operation_key="rsc_hadev1_monitor_5000" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
         <primitive id="rsc_hadev1" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="20000"  ip="10.0.0.11"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="hadev1" CRM_meta_on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36" CRM_meta_timeout="20000"  ip="10.0.0.11"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -63,7 +63,7 @@
      <action_set>
       <rsc_op id="21" operation="start" operation_key="rsc_hadev1_start_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
         <primitive id="rsc_hadev1" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="20000"  ip="10.0.0.11"/>
+        <attributes CRM_meta_on_node="hadev1" CRM_meta_on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36" CRM_meta_timeout="20000"  ip="10.0.0.11"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -82,7 +82,7 @@
      <action_set>
       <rsc_op id="20" operation="stop" operation_key="rsc_hadev1_stop_0" on_node="hadev3" on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669">
         <primitive id="rsc_hadev1" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="20000"  ip="10.0.0.11"/>
+        <attributes CRM_meta_on_node="hadev3" CRM_meta_on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669" CRM_meta_timeout="20000"  ip="10.0.0.11"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -98,7 +98,7 @@
      <action_set>
       <rsc_op id="9" operation="monitor" operation_key="rsc_hadev1_monitor_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3">
         <primitive id="rsc_hadev1" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="10.0.0.11"/>
+        <attributes CRM_meta_on_node="hadev2" CRM_meta_on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="10.0.0.11"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -107,7 +107,7 @@
      <action_set>
       <rsc_op id="3" operation="monitor" operation_key="rsc_hadev1_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
         <primitive id="rsc_hadev1" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="10.0.0.11"/>
+        <attributes CRM_meta_on_node="hadev1" CRM_meta_on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="10.0.0.11"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -116,7 +116,7 @@
      <action_set>
       <rsc_op id="25" operation="monitor" operation_key="rsc_hadev2_monitor_5000" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3">
         <primitive id="rsc_hadev2" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="20000"  ip="10.0.0.12"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="hadev2" CRM_meta_on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3" CRM_meta_timeout="20000"  ip="10.0.0.12"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -129,7 +129,7 @@
      <action_set>
       <rsc_op id="23" operation="start" operation_key="rsc_hadev2_start_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3">
         <primitive id="rsc_hadev2" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_timeout="20000"  ip="10.0.0.12"/>
+        <attributes CRM_meta_on_node="hadev2" CRM_meta_on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3" CRM_meta_timeout="20000"  ip="10.0.0.12"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -145,7 +145,7 @@
     <action_set>
       <rsc_op id="14" operation="monitor" operation_key="rsc_hadev2_monitor_0" on_node="hadev3" on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669">
         <primitive id="rsc_hadev2" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="10.0.0.12"/>
+        <attributes CRM_meta_on_node="hadev3" CRM_meta_on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="10.0.0.12"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -154,7 +154,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="rsc_hadev2_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
         <primitive id="rsc_hadev2" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="10.0.0.12"/>
+        <attributes CRM_meta_on_node="hadev1" CRM_meta_on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="10.0.0.12"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -163,7 +163,7 @@
      <action_set>
       <rsc_op id="28" operation="monitor" operation_key="rsc_hadev3_monitor_5000" on_node="hadev3" on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669">
         <primitive id="rsc_hadev3" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="20000"  ip="10.0.0.13"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="hadev3" CRM_meta_on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669" CRM_meta_timeout="20000"  ip="10.0.0.13"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -172,7 +172,7 @@
      <action_set>
       <rsc_op id="10" operation="monitor" operation_key="rsc_hadev3_monitor_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3">
         <primitive id="rsc_hadev3" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="10.0.0.13"/>
+        <attributes CRM_meta_on_node="hadev2" CRM_meta_on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="10.0.0.13"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -181,7 +181,7 @@
      <action_set>
       <rsc_op id="5" operation="monitor" operation_key="rsc_hadev3_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
         <primitive id="rsc_hadev3" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="10.0.0.13"/>
+        <attributes CRM_meta_on_node="hadev1" CRM_meta_on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  ip="10.0.0.13"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -190,7 +190,7 @@
      <action_set>
       <rsc_op id="31" operation="monitor" operation_key="child_DoFencing:0_monitor_5000" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3">
         <primitive id="child_DoFencing:0" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="20000"  hostlist="hadev1 hadev2 hadev3 "/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="hadev2" CRM_meta_on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3" CRM_meta_timeout="20000"  hostlist="hadev1 hadev2 hadev3 "/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -199,7 +199,7 @@
      <action_set>
       <rsc_op id="15" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="hadev3" on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669">
         <primitive id="child_DoFencing:0" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="hadev1 hadev2 hadev3 "/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="hadev3" CRM_meta_on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="hadev1 hadev2 hadev3 "/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -208,7 +208,7 @@
      <action_set>
       <rsc_op id="6" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
         <primitive id="child_DoFencing:0" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="hadev1 hadev2 hadev3 "/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="hadev1" CRM_meta_on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="hadev1 hadev2 hadev3 "/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -217,7 +217,7 @@
      <action_set>
       <rsc_op id="34" operation="monitor" operation_key="child_DoFencing:1_monitor_5000" on_node="hadev3" on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669">
         <primitive id="child_DoFencing:1" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="20000"  hostlist="hadev1 hadev2 hadev3 "/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="hadev3" CRM_meta_on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669" CRM_meta_timeout="20000"  hostlist="hadev1 hadev2 hadev3 "/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -226,7 +226,7 @@
      <action_set>
       <rsc_op id="11" operation="monitor" operation_key="child_DoFencing:1_monitor_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3">
         <primitive id="child_DoFencing:1" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="hadev1 hadev2 hadev3 "/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="hadev2" CRM_meta_on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="hadev1 hadev2 hadev3 "/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -235,7 +235,7 @@
      <action_set>
       <rsc_op id="7" operation="monitor" operation_key="child_DoFencing:1_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
         <primitive id="child_DoFencing:1" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="hadev1 hadev2 hadev3 "/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="hadev1" CRM_meta_on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="hadev1 hadev2 hadev3 "/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -244,7 +244,7 @@
      <action_set>
       <rsc_op id="36" operation="monitor" operation_key="child_DoFencing:2_monitor_5000" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
         <primitive id="child_DoFencing:2" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="20000"  hostlist="hadev1 hadev2 hadev3 "/>
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="hadev1" CRM_meta_on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36" CRM_meta_timeout="20000"  hostlist="hadev1 hadev2 hadev3 "/>
        </rsc_op>
      </action_set>
     <inputs>
@@ -257,7 +257,7 @@
      <action_set>
       <rsc_op id="35" operation="start" operation_key="child_DoFencing:2_start_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
         <primitive id="child_DoFencing:2" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_timeout="20000"  hostlist="hadev1 hadev2 hadev3 "/>
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="hadev1" CRM_meta_on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36" CRM_meta_timeout="20000"  hostlist="hadev1 hadev2 hadev3 "/>
        </rsc_op>
      </action_set>
     <inputs>
@@ -270,7 +270,7 @@
      <action_set>
       <rsc_op id="16" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="hadev3" on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669">
         <primitive id="child_DoFencing:2" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="hadev1 hadev2 hadev3 "/>
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="hadev3" CRM_meta_on_node_uuid="879e65f8-4b38-4c56-9552-4752ad436669" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="hadev1 hadev2 hadev3 "/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -279,7 +279,7 @@
      <action_set>
       <rsc_op id="12" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3">
         <primitive id="child_DoFencing:2" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="hadev1 hadev2 hadev3 "/>
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="hadev2" CRM_meta_on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="hadev1 hadev2 hadev3 "/>
        </rsc_op>
      </action_set>
     <inputs/>
@@ -288,7 +288,7 @@
      <action_set>
       <rsc_op id="8" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36">
         <primitive id="child_DoFencing:2" class="stonith" type="ssh"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="hadev1 hadev2 hadev3 "/>
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_notify="false" CRM_meta_on_node="hadev1" CRM_meta_on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  hostlist="hadev1 hadev2 hadev3 "/>
        </rsc_op>
      </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/7-migrate-group-one-unmigratable.exp
===================================================================
--- pacemaker.orig/pengine/test10/7-migrate-group-one-unmigratable.exp
+++ pacemaker/pengine/test10/7-migrate-group-one-unmigratable.exp
@@ -65,7 +65,7 @@
     <action_set>
       <rsc_op id="9" operation="migrate_from" operation_key="A_migrate_from_0" on_node="18node2" on_node_uuid="2">
         <primitive id="A" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_migrate_source="18node1" CRM_meta_migrate_target="18node2" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_migrate_source="18node1" CRM_meta_migrate_target="18node2" CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -78,7 +78,7 @@
     <action_set>
       <rsc_op id="8" operation="migrate_to" operation_key="A_migrate_to_0" on_node="18node1" on_node_uuid="1">
         <primitive id="A" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_migrate_source="18node1" CRM_meta_migrate_target="18node2" CRM_meta_record_pending="true" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_migrate_source="18node1" CRM_meta_migrate_target="18node2" CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_record_pending="true" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -91,7 +91,7 @@
     <action_set>
       <rsc_op id="7" operation="monitor" operation_key="A_monitor_60000" on_node="18node2" on_node_uuid="2">
         <primitive id="A" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -122,7 +122,7 @@
     <action_set>
       <rsc_op id="5" operation="stop" operation_key="A_stop_0" on_node="18node1" on_node_uuid="1">
         <primitive id="A" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -141,7 +141,7 @@
     <action_set>
       <rsc_op id="12" operation="monitor" operation_key="B_monitor_60000" on_node="18node2" on_node_uuid="2">
         <primitive id="B" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -154,7 +154,7 @@
     <action_set>
       <rsc_op id="11" operation="start" operation_key="B_start_0" on_node="18node2" on_node_uuid="2">
         <primitive id="B" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -173,7 +173,7 @@
     <action_set>
       <rsc_op id="10" operation="stop" operation_key="B_stop_0" on_node="18node1" on_node_uuid="1">
         <primitive id="B" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -189,7 +189,7 @@
     <action_set>
       <rsc_op id="15" operation="monitor" operation_key="C_monitor_60000" on_node="18node2" on_node_uuid="2">
         <primitive id="C" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -202,7 +202,7 @@
     <action_set>
       <rsc_op id="14" operation="start" operation_key="C_start_0" on_node="18node2" on_node_uuid="2">
         <primitive id="C" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -221,7 +221,7 @@
     <action_set>
       <rsc_op id="13" operation="stop" operation_key="C_stop_0" on_node="18node1" on_node_uuid="1">
         <primitive id="C" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
